/* Start Filter css  */
.wrapper {
    background: #fff;
    padding: 20px 10px 40px;
    box-shadow: 0 12px 35px rgba(0, 0, 0, 0.1);
}

header .title {
    font-size: 24px;
    font-weight: 600;
    color: var(--main-Webcolor);
    position: relative;
    width: fit-content;
}

header .title::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    transform: translateY(6px);
    background: var(--main-Webcolor);
}

header p {
    margin-top: 5px;
    font-size: 16px;
}

.price-input {
    width: 100%;
    display: flex;
    margin: 10px 0 20px;
}

.price-input .field {
    display: flex;
    width: 100%;
    height: 45px;
    align-items: center;
}

.field input {
    width: 100%;
    /* height: 100%; */
    outline: none;
    font-size: 19px;
    margin-left: 5px;
    border-radius: 5px;
    text-align: center;
    border: 1px solid #999;
    -moz-appearance: textfield;
    color: #666;
    font-size: 17px;
}

.price-input .separator {
    width: 130px;
    display: flex;
    font-size: 19px;
    align-items: center;
    justify-content: center;
}

.slider {
    height: 5px;
    position: relative;
    background: #ddd;
    border-radius: 5px;
}

.slider .progress {
    height: 100%;
    left: 0%;
    right: 25%;
    position: absolute;
    border-radius: 5px;
    background: var(--second-Webcolor);
}

.range-input {
    position: relative;
}

.range-input input {
    position: absolute;
    width: 100%;
    height: 5px;
    top: -5px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

input[type="range"]::-webkit-slider-thumb {
    height: 17px;
    width: 17px;
    border-radius: 50%;
    background: var(--second-Webcolor);
    pointer-events: auto;
    -webkit-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

input[type="range"]::-moz-range-thumb {
    height: 17px;
    width: 17px;
    border: none;
    border-radius: 50%;
    background: var(--second-Webcolor);
    pointer-events: auto;
    -moz-appearance: none;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

/* Support */
.support-box {
    top: 2rem;
    position: relative;
    bottom: 0;
    text-align: center;
    display: block;
}

.b-btn {
    color: white;
    text-decoration: none;
    font-weight: bold;
}

.b-btn.paypal i {
    color: blue;
}

.b-btn:hover {
    text-decoration: none;
    font-weight: bold;
}

.b-btn i {
    font-size: 20px;
    color: yellow;
    margin-top: 2rem;
}

.visable-filter {
    background: rgba(221, 215, 255, 0.38)
}

/* End Filter css  */
/* Start checkbox css */
.checkbox {
    appearance: none;
    width: 20px;
    aspect-ratio: 1;
    border-radius: 2px;
    border: 1px solid #666;
    position: relative;
    transition: all 0.2s ease-in-out;
    transform: translateY(3px);
}

.checkbox::before {
    position: absolute;
    bottom: -4px;
    left: 1px;
    content: "✔";
    font-size: 25px;
    color: #20c580;
    transform: scale(0);
    transition: all 0.2s ease-in-out;
}

.checkbox:checked::before {
    animation: zoom 0.5s ease-in-out;
    transform: scale(1);
}

@keyframes zoom {
    0% {
        transform: scale(0);
    }

    20% {
        transform: scale(1.5);
    }

    40% {
        transform: scale(0.5);
    }

    50% {
        transform: scale(1);
    }

    70% {
        transform: scale(1.2);
    }

    90% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1);
    }
}
/*End checkbox css */
